Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.ParserCallback

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLEditorKit.ParserCallback

Direct Known Subclasses:
  HTMLDocument.HTMLReader

public static class HTMLEditorKit.ParserCallback
extends java.lang.Object

The result of parsing drives these callback methods. The open and close actions should be balanced. The `flush` method will be the last method called, to give the receiver a chance to flush any pending data into the document.

Constructor Summary
`HTMLEditorKit.ParserCallback()`

Method Summary
`void` | `flush()`
`void` | `handleComment(char[] data, int pos)`
`void` | `handleEndTag(HTML.Tag t, int pos)`
`void` | `handleError(java.lang.String errorMsg, int pos)`
`void` | `handleSimpleTag(HTML.Tag t, MutableAttributeSet a, int pos)`
`void` | `handleStartTag(HTML.Tag t, MutableAttributeSet a, int pos)`
`void` | `handleText(char[] data, int pos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEditorKit.ParserCallback

    public HTMLEditorKit.ParserCallback()

Method Detail

### flush

    public void flush()
               throws BadLocationException

### handleText

    public void handleText(char[] data,
                           int pos)

### handleComment

    public void handleComment(char[] data,
                              int pos)

### handleStartTag

    public void handleStartTag(HTML.Tag t,
                               MutableAttributeSet a,
                               int pos)

### handleEndTag

    public void handleEndTag(HTML.Tag t,
                             int pos)

### handleSimpleTag

    public void handleSimpleTag(HTML.Tag t,
                                MutableAttributeSet a,
                                int pos)

### handleError

    public void handleError(java.lang.String errorMsg,
                            int pos)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.